Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.embedder
Class StoryManager

    java.lang.Object
      org.jbehave.core.embedder.StoryManager

    public class StoryManager

extends Object

Manages the execution and outcomes of running stories. While each story is run by the `StoryRunner`, the manager is responsible for the concurrent submission and monitoring of their execution via the `ExecutorService`.

Nested Class Summary
`static class` | `StoryManager.RunningStory`
`static class` | `StoryManager.StoryExecutionFailed`
`static class` | `StoryManager.StoryOutcome`
`static class` | `StoryManager.ThrowableStory`

Constructor Summary
`StoryManager(Configuration configuration, EmbedderControls embedderControls, EmbedderMonitor embedderMonitor, ExecutorService executorService, InjectableStepsFactory stepsFactory, StoryRunner storyRunner)`

Method Summary
`void` | `clear()`
`List<Story>` | `notAllowedBy(MetaFilter filter)`
`List<StoryManager.StoryOutcome>` | `outcomes()`
`StoryRunner.State` | `runBeforeOrAfterStories(BatchFailures failures, StepCollector.Stage stage)`
`Map<String,StoryManager.RunningStory>` | `runningStories(List<Story> stories, MetaFilter filter, StoryRunner.State beforeStories)`
`Map<String,StoryManager.RunningStory>` | `runningStoriesAsPaths(List<String> storyPaths, MetaFilter filter, StoryRunner.State beforeStories)`
`StoryManager.RunningStory` | `runningStory(String storyPath, Story story, MetaFilter filter, StoryRunner.State beforeStories)`
`void` | `runStories(List<String> storyPaths, MetaFilter filter, BatchFailures failures)`
`Story` | `storyOfPath(String storyPath)`
`Story` | `storyOfText(String storyAsText, String storyId)`
`void` | `waitUntilAllDoneOrFailed(BatchFailures failures)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoryManager

    public StoryManager(Configuration configuration,
                        EmbedderControls embedderControls,
                        EmbedderMonitor embedderMonitor,
                        ExecutorService executorService,
                        InjectableStepsFactory stepsFactory,
                        StoryRunner storyRunner)

Method Detail

### storyOfPath

    public Story storyOfPath(String storyPath)

### storyOfText

    public Story storyOfText(String storyAsText,
                             String storyId)

### clear

    public void clear()

### outcomes

    public List<StoryManager.StoryOutcome> outcomes()

### runStories

    public void runStories(List<String> storyPaths,
                           MetaFilter filter,
                           BatchFailures failures)

### runBeforeOrAfterStories

    public StoryRunner.State runBeforeOrAfterStories(BatchFailures failures,
                                                     StepCollector.Stage stage)

### runningStoriesAsPaths

    public Map<String,StoryManager.RunningStory> runningStoriesAsPaths(List<String> storyPaths,
                                                                       MetaFilter filter,
                                                                       StoryRunner.State beforeStories)

### runningStories

    public Map<String,StoryManager.RunningStory> runningStories(List<Story> stories,
                                                                MetaFilter filter,
                                                                StoryRunner.State beforeStories)

### notAllowedBy

    public List<Story> notAllowedBy(MetaFilter filter)

### runningStory

    public StoryManager.RunningStory runningStory(String storyPath,
                                                  Story story,
                                                  MetaFilter filter,
                                                  StoryRunner.State beforeStories)

### waitUntilAllDoneOrFailed

    public void waitUntilAllDoneOrFailed(BatchFailures failures)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.